## com.arsdigita.cms.webpage.ui
Class WebpagePortletEditor

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.FormSection
                  com.arsdigita.kernel.ui.ResourceConfigFormSection
                      com.arsdigita.bebop.portal.PortletConfigFormSection
                          com.arsdigita.cms.webpage.ui.WebpagePortletEditor

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, com.arsdigita.util.Lockable

public class WebpagePortletEditor
extends com.arsdigita.bebop.portal.PortletConfigFormSection

Field Summary

Fields inherited from class com.arsdigita.kernel.ui.ResourceConfigFormSection
`versionId`

Fields inherited from class com.arsdigita.bebop.FormSection
`m_formModel, m_panel`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`WebpagePortletEditor(com.arsdigita.bebop.RequestLocal application)`
`WebpagePortletEditor(com.arsdigita.kernel.ResourceType resType, com.arsdigita.bebop.RequestLocal parentAppRL)`

Method Summary
`void` `addWidgets()`
`void` `initWidgets(com.arsdigita.bebop.PageState state, com.arsdigita.portal.Portlet portlet)`
`void` `processWidgets(com.arsdigita.bebop.PageState state, com.arsdigita.portal.Portlet portlet)`
`void` `validateWidgets(com.arsdigita.bebop.PageState state, com.arsdigita.portal.Portlet portlet)`

Methods inherited from class com.arsdigita.bebop.portal.PortletConfigFormSection
`createResource, modifyResource`

Methods inherited from class com.arsdigita.bebop.FormSection

`add, add, addCancelListener, addInitListener, addProcessListener, addSubmissionListener, addValidationListener, children, contains, createInitListener, createProcessListener, createSubmissionListener, createValidationListener, fireCancel, fireInit, fireProcess, fireSubmitted, fireValidate, forwardInit, forwardProcess, forwardSubmission, forwardValidation, generateXML, get, getModel, getPanel, indexOf, isEmpty, lock, process, register, removeCancelListener, removeInitListener, removeProcessListener, removeSubmissionListener, removeValidationListener, respond, size`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Constructor Detail

### WebpagePortletEditor

    public WebpagePortletEditor(com.arsdigita.kernel.ResourceType resType,
                                com.arsdigita.bebop.RequestLocal parentAppRL)

### WebpagePortletEditor

    public WebpagePortletEditor(com.arsdigita.bebop.RequestLocal application)

Method Detail

### addWidgets

    public void addWidgets()

### initWidgets

    public void initWidgets(com.arsdigita.bebop.PageState state,
                            com.arsdigita.portal.Portlet portlet)
                     throws com.arsdigita.bebop.FormProcessException

  Throws:
    `com.arsdigita.bebop.FormProcessException`

### validateWidgets

    public void validateWidgets(com.arsdigita.bebop.PageState state,
                                com.arsdigita.portal.Portlet portlet)
                         throws com.arsdigita.bebop.FormProcessException

  Throws:
    `com.arsdigita.bebop.FormProcessException`

### processWidgets

    public void processWidgets(com.arsdigita.bebop.PageState state,
                               com.arsdigita.portal.Portlet portlet)
                        throws com.arsdigita.bebop.FormProcessException

  Throws:
    `com.arsdigita.bebop.FormProcessException`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1154 UTC